
export const subTypes = [
  {
    name: "单选",
    type: "radio",
    value: 1
  },
  {
    name: "多选",
    type: "checkbox",
    value: 2
  },
  {
    name: "单行文本",
    type: "input",
    value: 3
  },
  {
    name: "时间选择",
    type: "date",
    value: 5
  },
  {
    name: "矩阵题",
    type: "matrix_checkbox",
    value: 4
  },
  // {
  //   name: "疾病下拉题",
  //   type: "disease",
  //   value: 7
  // },
  // {
  //   name: "药品下拉题",
  //   type: "medicine",
  //   value: 8
  // }
  {
    name: "下拉题",
    type: "select",
    value: 10
  }
];
export const types = [
  ...subTypes,
  {
    name: "组合题",
    type: "group",
    value: 6
  }
];

export const simpleTypes = [
  {
    name: "单选",
    type: "radio",
    value: 1
  },
  {
    name: "多选",
    type: "checkbox",
    value: 2
  },
  {
    name: "单行文本",
    type: "input",
    value: 3
  },
  {
    name: "多行文本",
    type: "textarea",
    value: 11
  },
  {
    name: "时间选择",
    type: "date",
    value: 5
  },
  {
    name: "矩阵题",
    type: "matrix_checkbox",
    value: 4
  },
  {
    name: "量表题",
    type: "scale",
    value: 12
  }
];

export const typeLabelByKey = {
  radio: "单选",
  checkbox: "多选",
  input: "单行文本",
  textarea: "多行文本",
  date: "时间选择",
  matrix_checkbox: "矩阵题",
  group: "组合题",
  disease: "疾病下拉题",
  medicine: "药品下拉题",
  select: "下拉题",
  scale: "量表题"
};
export const typeLabelByIndex = {
  1: "单选题",
  2: "多选题",
  3: "单行文本题",
  4: "矩阵题",
  5: "时间选择题",
  6: "组合题",
  7: "疾病下拉题",
  8: "药品下拉题",
  10: "下拉题",
  11: "多行文本题",
  12: "量表题"

};

export const decisionRuleSearchTypes = [
  {
    label: "指标",
    method: "searchIndicators"
  },
  {
    label: "决策问卷",
    method: "getSurveyList"
  },
  {
    label: "问题模板",
    url: "/questionnaire/template/paginate"
  },
  {
    label: "问题库",
    url: "/questionnaire/subject/list"
  }
];
